%define _localstatedir /var

Summary:	An improved FTP client
Name:		ncftp
Version:	3.3.0
Release:	%mkrel 1
Group: 		Networking/File transfer
URL:		https://www.ncftp.com/
BuildRequires:	pkgconfig(ncurses)
License:	Artistic
Source0:	http://www.ncftp.com/public_ftp/ncftp/ncftp-%{version}-src.tar.gz

%description
Ncftp is an improved FTP client.  Ncftp's improvements include support
for command line editing, command histories, recursive gets, automatic
anonymous logins and more.

%prep

%setup -q

%build
export CFLAGS="%{optflags} -DHAVE_STDLIB_H"

%configure \
    --enable-signals
%make_build

%install
mkdir -p %{buildroot}{%{_bindir},%{_mandir}/man1}

%make_install

# yves - 3.1.1-1mdk - fix doc perm
find doc -type f -exec chmod 0644 {} \;

rm -f doc/*windows.txt

%files
%doc doc/*.txt README.txt
%{_bindir}/*
%{_mandir}/*/*




%changelog
* Sat Jul 12 2025 joequant <joequant> 3.3.0-1.mga10
+ Revision: 2252985
- update to 3.3.0

* Mon Jun 30 2025 umeabot <umeabot> 3.2.7-2.mga10
+ Revision: 2229801
- Mageia 10 Mass Rebuild

* Wed Nov 06 2024 ns80 <ns80> 3.2.7-1.mga10
+ Revision: 2112765
- new version 3.2.7 to try to fix building with GCC 14

* Thu Mar 17 2022 umeabot <umeabot> 3.2.6-5.mga9
+ Revision: 1797425
- Mageia 9 Mass Rebuild

* Mon Jun 29 2020 joequant <joequant> 3.2.6-4.mga8
+ Revision: 1600379
- fix gcc10 build

* Thu Feb 13 2020 umeabot <umeabot> 3.2.6-3.mga8
+ Revision: 1515330
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 3.2.6-2.mga7
+ Revision: 1299682
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Fixed build and install macros

* Sat Dec 30 2017 kekepower <kekepower> 3.2.6-1.mga7
+ Revision: 1187642
- New version
- Updated EPLF patch for the new version
- New version
- Updated EPLF patch

* Mon Feb 08 2016 umeabot <umeabot> 3.2.5-6.mga6
+ Revision: 947961
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.2.5-5.mga5
+ Revision: 739327
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.2.5-4.mga5
+ Revision: 682812
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.2.5-3.mga4
+ Revision: 508157
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 03 2011 fwang <fwang> 3.2.5-1.mga2
+ Revision: 151143
- update file list
- drop ipv6 patch as what other distros are doing
+ tv <tv>
- rediff patch 3
- new release

* Mon Jan 24 2011 erwan <erwan> 3.2.3-2.mga1
+ Revision: 37936
- imported package ncftp

